Bad behavior with non ascii chars in purpleAccount

RESOLVED FIXED in 0.1.1

Status

P5
critical
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: bugzilla, Assigned: florian)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [0.1.1-blocking])

(Reporter)

Description

5 years ago
*** Original post on bio 12 by Moses <moses.mason AT gmail.com> at 2007-10-22 07:11:00 UTC ***

Steps to reproduce this bug:
1. Open "Tools" -> "Accounts" and select MSN, click "Next" button;
2. Enter hotmail username and the password in the next two screens and click "Next";
3. Enter some Chinese Characters as MSN alias and click "Next";
4. Click "Next" to connect MSN network, the alias becomes gibberish.
5. Open "Account Manager" again, select this MSN account and click "Properties" button.
6. Try to change the "Alias" to some other Chinese character, click "OK". The program crashed.
(Assignee)

Comment 1

5 years ago
*** Original post on bio 12 at 2007-10-29 04:25:04 UTC ***

The problem exists for "alias" and maybe for "name" and "password" too.
Severity: major → critical
Status: UNCONFIRMED → ASSIGNED
Component: Account manager → General
Ever confirmed: true
OS: Windows XP → All
Product: Instantbird → Chat Core
Hardware: x86 → All
Summary: Can't use Chinese Character as MSN alias → Bad behavior with non ascii chars in purpleAccount
Target Milestone: --- → 0.1.1
(Assignee)

Comment 2

5 years ago
*** Original post on bio 12 at 2008-03-02 23:44:11 UTC ***

We believe this was fixed in the 0.1.1 release of Instantbird.

Instantbird 0.1.1 can downloaded from http://www.instantbird.com/download.html
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED

Updated

5 years ago
Depends on: 954643

Updated

5 years ago
No longer depends on: 954643

Updated

5 years ago
Whiteboard: [0.1.1-blocking]
You need to log in before you can comment on or make changes to this bug.